///*
// * ********************************************************************************************************************
// *
// *                     :*$@@%$*:                         ;:                ;;    ;;
// *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
// *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
// *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
// *                  =@*                                  %!              @ $= % %@=   =%@!      %=
// *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
// *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
// *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
// *         $@*   ;@@@%=!:                *@*
// *         =@$    ;;;!=%@@@@=!           =@!
// *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
// *           ;%@@$=$@@%*       *@@@$=%@@%;
// *              ::;::             ::;::                                              All rights reserved.
// *
// * ********************************************************************************************************************
// */
//
//package com.persagy.labsl
//
//import org.slf4j.LoggerFactory
//import org.springframework.context.annotation.Bean
//import org.springframework.context.annotation.Configuration
//
//
///**
// * RESTful API文档生成器Swagger2配置
// *
// * @author  PLX
// */
//@Configuration
//@EnableSwagger2
//open class Swagger2Config {
//    companion object {
//        // 日志
//        private val logger = LoggerFactory.getLogger(Swagger2Config::class.java)
//    } // Companion object
//
//    /**
//     * 创建RestApi文档生成器
//     *
//     * @return  返回文档生成器对象
//     */
//    @Bean
//    open fun createRestApi(): Docket {
//        logger.debug("createRestApi")
//        val builder = ParameterBuilder()
//        val builderComming = ParameterBuilder()
//        val pars = ArrayList<Parameter>()
//        builderComming.name("coming").description("应用来源").modelRef(ModelRef("string")).parameterType("header").required(false)
//        builder.name("projectId").description("项目ID").modelRef(ModelRef("string")).parameterType("header").required(false)
//        pars.add(builder.build())
//        pars.add(builderComming.build())
//        return Docket(DocumentationType.SWAGGER_2)
//                .apiInfo(apiInfo())
//                .select()
//                .apis(RequestHandlerSelectors.basePackage("com.persagy"))
//                .paths(PathSelectors.any())
//                .build()
//                .globalOperationParameters(pars)
//    } // Function createRestApi()
//
//    /**
//     * 返回API信息基本
//     *
//     * @return  返回Api基本信息
//     */
//    private fun apiInfo(): ApiInfo {
//        return ApiInfoBuilder()
//                .title("蜡笔森林-图形API")
//                .description("")
//                .termsOfServiceUrl("http://www.persagy.com/")
//                .contact(Contact("张维新", "", "plx3000@163.com"))
//                .version("2.0")
//                .build()
//    } // Function apiInfo()
//} // Class Swagger2Config